> For the complete documentation index, see [llms.txt](https://docs-integration.squake.earth/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-integration.squake.earth/audits/list-audit-logs.md).

# Retrieve the list of Audit logs

The **Audit Logs API** returns the list of audit logs for the authenticated client. Each entry corresponds to a **calculation performed in audit mode**.

## Endpoint

### `GET /v2/audits`

Retrieve a list of audit logs.

### Authentication

* **Bearer Token** required.
* Audit logging must be **enabled** for your account.

## Response

### 200 OK — Example

```json
[
  {
    "id": "0194d6b4-8711-7873-899d-c8133cd742f8",
    "calculated_at": "2025-02-18T16:39:10Z",
    "request": {
      "type": "flight",
      "methodology": "ICAO",
      "origin": "SAF",
      "destination": "ATL"
    },
    "response": {
      "carbon_quantity": 302.75,
      "carbon_unit": "kilogram"
    },
    "calculation": { "...": "..." },
    "methodology": {
      "name": "ICAO",
      "version": "1.0",
      "source": "https://applications.icao.int/icec/Methodology%20ICAO%20Carbon%20Emissions%20Calculator_v13_Final.pdf"
    },
    "audit_for": "d3427e0d-5a3c-40ce-842e-5552e77caa4f"
  }
]
```

### Field Reference (per item)

* `id` *(UUID)* — Unique audit log ID.
* `calculated_at` *(ISO 8601)* — Timestamp of calculation.
* `request` — Input parameters used for the audited calculation.
* `response` — Result values (e.g., `carbon_quantity`, `carbon_unit`).
* `calculation` — Extra details like distance resolution and emission factors (*feature-gated*).
* `methodology` — Methodology metadata.
* `audit_for` — Linked **Auditable entity** ID if provided during calculation.

## Errors

| Status  | Meaning                             |
| ------- | ----------------------------------- |
| **200** | Success                             |
| **403** | Authentication/authorization failed |

## cURL

```bash
curl --request GET "https://api.squake.earth/v2/audits" \
  --header "Authorization: Bearer $ACCESS_TOKEN"
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-integration.squake.earth/audits/list-audit-logs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
